// creator  : weidu.exe (version 23100)
// argument : _IRON3.DLG
// game		 : .
// source	 : ./override/_IRON3.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_IRON3~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #85935 /* ~Is there a reason for you being here?  You had better have a good explanation for bothering me!~ */
  IF ~~ THEN REPLY #85936 /* ~We're here on business.  We wanted to purchase some of your iron.~ */ GOTO 1
  IF ~~ THEN REPLY #85937 /* ~We don't really need a reason.  We're here to kill you.~ */ GOTO 3
  IF ~~ THEN REPLY #85938 /* ~We're here to sign up as mercenaries.~ */ GOTO 1
  IF ~~ THEN REPLY #85939 /* ~We're here on special business from Baldur's Gate.~ */ GOTO 2
  IF ~Global("X#SHARTEELIRON31","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SHARTEELIRON31","GLOBAL",1)~ EXTERN ~_SHARTJ~ 114
END

IF ~~ THEN BEGIN 1 // from: 0.2 0.0
  SAY #85940 /* ~Not good enough.  Surrender yourselves now.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.3
  SAY #85941 /* ~All right then, move along.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.1
  SAY #85942 /* ~We'll see who'll be doing the dying today!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 4 // from:
  SAY #85808 /* ~You're obviously here on important business, friends.  If you want to see Davaeorn, he's on the fourth floor.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #85824 /* ~A hidden base in the Cloakwood

An Iron Throne guard told us that we could find Davaeorn on the fourth floor of the Cloakwood mine.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #79819 /* ~You're not welcome here!  You'll pay with your life!~ */
  IF ~~ THEN EXIT
END
